Bug 489029 - OpenJDK Java plugin entirely broken in current Rawhide
OpenJDK Java plugin entirely broken in current Rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
rawhide
All Linux
high Severity urgent
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 15:19 EST by Adam Williamson
Modified: 2009-03-25 11:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 11:12:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2009-03-06 15:19:57 EST
In current Rawhide, with:

java-1.6.0-openjdk-1.6.0.0-13.b14.fc11.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-13.b14.fc11.x86_64
firefox-3.1-0.7.beta2.fc11.x86_64

and with or without ndiswrapper, no Java applet in Firefox will work. Any Java applet shows up as a blank grey box. A /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/../../bin/java sun.applet.PluginMain process exists. It takes up 99% CPU time on one core, and - according to strace - is stuck in a FUTEX_WAIT.

I'm on x86-64. This has been confirmed by Michael Salim on test-list, I'm not sure what arch he's on.
Comment 1 Deepak Bhole 2009-03-06 20:09:41 EST
I can confirm that this is a problem. I tracked it down to an error during the upstream branching process. Parts of code that should have been merged were not, causing hangs. More specifically, changes to IcedTeaPLugin.cc from http://icedtea.classpath.org/hg/icedtea6/rev/1be2224bd96c were not merged.
Comment 2 Tom Lane 2009-03-07 14:22:51 EST
I'm seeing funny behavior on F-10's version of IcedTea, also on x86_64.  Is that likely to be same/similar cause, or should I file a separate bug?
Comment 3 Deepak Bhole 2009-03-07 19:04:33 EST
Hmm, F-10  has the older version of IcedTea, so it wouldn't be the same bug in that case. So please go ahead and file a separate bug for the issue you are encountering.
Comment 4 Tom Lane 2009-03-07 19:20:30 EST
Hm, I see

$ rpm -qa | grep openjdk
java-1.6.0-openjdk-1.6.0.0-9.b14.fc10.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-9.b14.fc10.x86_64

so if this isn't the exact same upstream code as Adam is using, somebody is abusing the NVR naming conventions.  But anyway, the behavior is different so I'll file a separate bug.  I need to find out some more info first though.
Comment 5 Lillian Angel 2009-03-09 09:10:01 EDT
(In reply to comment #1)
> I can confirm that this is a problem. I tracked it down to an error during the
> upstream branching process. Parts of code that should have been merged were
> not, causing hangs. More specifically, changes to IcedTeaPLugin.cc from
> http://icedtea.classpath.org/hg/icedtea6/rev/1be2224bd96c were not merged.  


My sincere apologies for this. I have started a build into rawhide: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1231517

Should be available in the repos within a couple of days.
Comment 6 Adam Williamson 2009-03-25 11:28:20 EDT
'CLOSED' is right, but...'NOTABUG'? should be 'RAWHIDE', I think.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Lillian Angel 2009-03-25 11:46:01 EDT
oops. fixed

Note You need to log in before you can comment on or make changes to this bug.